export interface IFeedProviderHostApi {
    GetEnabledFeedProvidersAsync(callback: (hresult: number, feedProviderDefinitionIds: Array<string>) => void): Promise<void>;
    GetFeedProvidersAsync(callback: (hresult: number, feedProviderDefinitions: Array<string>) => void): Promise<void>;
    GetFeedProviderAsync(feedProviderId: string, callback: (hresult: number, feedProviderDefinition: string) => void): Promise<void>;
    GetFeedsAsync(feedProviderId: string, callback: (hresult: number, feedDefinitions: Array<string>) => void): Promise<void>;
    EnableFeedProviderAsync(feedProviderId: string, isEnabled: boolean): Promise<void>;
    SetActiveFeedAsync(feedProviderId: string, feedId: string): Promise<void>;
    EnableFeedNotificationsAsync(feedProviderId: string, feedDefinitionId: string, isEnabled: boolean): Promise<void>;
    GetMissedFeedNotificationsAsync(feedDefinitionIstring: string, callback: (hresult: number, missedNotifications: Array<string>) => void): Promise<void>;
    addEventListener(eventName: string, listener: (feedProviderDefinitionId: string) => void): Promise<void>;
    removeEventListener(eventName: string, listener: (feedProviderDefinitionId: string) => void): Promise<void>;
}
